Unnecessary rendering overhead

2011-01-20 10:00 AM - John Tull

Status: Closed

Priority: Low

Assignee:

Category: Map Canvas

Pull Request or Patch supplied:No Resolution: duplicate

Easy fix?: No Copied to github as #: 13487

Description

When I open the property dialog for both raster and vector layers, I can make changes to those properties and hit 'Apply' or 'Save as

Default' to see the updates on the canvas. If I then hit 'Ok' to close the dialog, qgis unnecessarily re-renders that layer on the canvas. On

the other hand, if I hit 'Cancel', I can skip this overhead on my system.

Is it possible for the code to flag when a layer has already been rendered from either 'Apply' or 'Save as Default' to avoid this duplication

of rendering? Often this is not noticeable, but on large or complex layers, it can be quite severe.

History

#1 - 2011-03-05 10:58 AM - John Tull

This is true for the advanced labeling dialog as well.

#2 - 2011-12-16 01:49 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-01-11 10:24 PM - Paolo Cavallini

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

Possibly duplicated in #4789

#4 - 2012-01-12 12:49 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed

it duplicate of #2596, please add your notes there (if the specific issue is not already part of the ticket)
